#!/bin/sh

$HL_PATH=/var/halflife/cs1

cd $HL_PATH

export LD_LIBRARY_PATH="$HL_PATH:$LD_LIBRARY_PATH"

IP=`/sbin/ifconfig eth0 | grep inet | gawk '{print $2}' | gawk -F ':' '{print $2}'`

PIDS=`/sbin/pidof hlds`
if [ $? -eq 0 ]
then
        #hlds is running
        #echo "CS server is already running..."
        exit 1
fi

i=0

while [ $i -eq 0 ]
do
   ./hlds -game cstrike +maxplayers 16 +map de_dust +IP $IP > /var/log/cs/cs1.log 2>&1
   sleep 10
done
